#include "overland.hpp"
#include "debug.hpp"

namespace Kernel{

  void Overland::run(){
    #ifdef MYDEBUG
    cout<<"   [Overland::run] start"<<endl;
    #endif
    for(size_t ix=0;ix<geometry->nX;++ix){
      hov[ix]=in_hov[ix];
      Psoil[ix]=previous_P[ix][geometry->nZ[ix]-1];
    }
    error=0;
    #ifdef MYDEBUG
    cout<<"   [Overland::run] end"<<endl;
    #endif
  }
}
